<?php
require('fpdf/fpdf.php');
define('FPDF_FONTPATH', 'fpdf/font/'); 
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);


//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$controle=$sessao->getVar('controle');//esta variavel que que controlara se vai ser laudo basico,singenta,rondonopolis etc
$controle1=$sessao->getVar('controle1');
$tipoDoc=$sessao->getVar('controle3');
$cliente=$sessao->getVar('cliente');
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$idDoc=$sessao->getVar('transfere');

//echo("amostralong= $amostraLong  controle= $controle<br>");

//AQUI DEFINE AS COLUNAS
//como funcionam estas colunas?
//a grade tetezazolio esta na classe calculo e tem 36 colunas fixas
//eu digo para o computador quais as colunas da grade  tetrazolio que eu quero no formato
//SE O CLIENTE QUISER ALGUMA COLUNA A MAIS EU VENHO AQUI E ACRESCENTO SO NO MODELO
$LI=10;//LI=LARGURA IGUAL  ONDE NAO FOR LI EU VOU LA E ESCRE O NUMERO
$cota2=30;
$cota8=200;

 


$limite=sizeof($vetorIndice);
$objetocalculo = new calculos(); //calcula todos valores finais
$vetorCabecalho=$objetocalculo->dadoslaboratorio();

$pdf=new FPDF('L','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf

			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=20;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $cota1=3;
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $pdf->AddPage();//adicionando a primera pafina 
			 $pdf->setFont("Arial","",7);
			 $vetorNormas=$objetocalculo->capturaNormas("Tz_controle","Basico",$idLabo);
			 $posicaoNorma=230;
			 $pdf->Rect($posicaoNorma,5,40,15);
			 $pdf->setXY($posicaoNorma,5);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
			 $pdf->setXY($posicaoNorma,9);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
			 $pdf->setXY($posicaoNorma,13);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
             $pdf->SetFont('Times','',8);
			 $pdf-> Rect($margemEsquerda+10,$cota1,$larguraUtil-40,20);//rect que envolve todo cabecalho
			 $vetorDadosDocumento=$objetocalculo->dados_gerais_documento($idDoc);
			 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			 $pdf->Image($caminhoFinal,$margemEsquerda+20,$cota1+1,24,12,'JPG');
	         $pdf->SetFont('Times','B',9);
			 $posicaoCab1=$margemEsquerda+70;
			 
			 //CONTROLE DO PRÉ-UMEDECIMENTO
			 $pdf-> Rect($posicaoCab1,$cota1,112,20);//rect so do controle de pre
			 $pdf->SetFont('Arial','B',12);
			 $pdf->setXY($posicaoCab1,$cota1+3);
			 $pdf->Cell(112,5,utf8_decode('CONTROLE DO TESTE DE TETRAZÓLIO'),0,0,'C',1);//lab nome
			 $pdf->setXY($posicaoCab1,$cota1+8);
			 $pdf->Cell(112,5,utf8_decode('Nº').$vetorDadosDocumento[1],0,0,'C',1);//

/*
			 //cabecalho parte da direita
			 $pdf->setXY($posicaoCab1+112,$cota1);
			 $pdf->Cell(69,5,utf8_decode('FOR 5.3.06'),1,0,'C',1);//
			 $pdf->setXY($posicaoCab1+112,$cota1+5);
			 $pdf->SetFont('Arial','',10);
			 $pdf->Cell(23,5,utf8_decode('Revisão'),0,0,'C');
			 $pdf->Cell(23,5,utf8_decode('Nº Pág'),0,0,'C');
			 $pdf->Cell(23,5,utf8_decode('Emissão'),0,0,'C');

			 $pdf->setXY($posicaoCab1+112,$cota1+10);
			 $pdf->SetFont('Arial','',10);
			 $pdf->Cell(23,5,utf8_decode('01'),0,0,'C');
			 $pdf->Cell(23,5,utf8_decode('01'),0,0,'C');
			 $pdf->Cell(23,5,utf8_decode('12/12/2012'),0,0,'C');

			 $pdf-> Rect($posicaoCab1+112,$cota1+5,23,15);
			 $pdf-> Rect($posicaoCab1+112+23,$cota1+5,23,15);
			 $pdf-> Rect($posicaoCab1+112+46,$cota1+5,23,15);
*/




	         $pdf->SetFont('Times','B',11);

		     $pdf->SetFont('Times','',8);
			 $cota1=70; 
			 //ATIBUI AS LARGURAS DAS COLUNAS FINAIS
			 $vetorLargura[1]=20;//amostra
			 $vetorLargura[2]=38;//esepecie
			 $vetorLargura[3]=38;//cultivar
			 $vetorLargura[4]=27;//datahora
			 $vetorLargura[5]=20;//equipamento
			 $vetorLargura[6]=19;//temperatura
			 $vetorLargura[7]=19;//hora incial
			 $vetorLargura[8]=19;//hora final
			 $vetorLargura[9]=20;//status
			 $vetorLargura[10]=40;//visto

	
$cota1=28;//COTA QUE POSICIONA O INICIO DOS TITULOS DAS COLUNAS
			 $pdf-> Rect($margemEsquerda,$cota1,260,10);
             //coloca os riscos semaradores 
			 $x1=$margemEsquerda;  
             for($i=1;$i<=7;$i++):
                $x1+=$vetorLargura[$i];                
				$pdf->Line($x1,$cota1,$x1,$cota1+10);
			 endfor;
			 
			 
			 //aqui imprime a primeira linha de titulos 
			 $pdf->setXY($margemEsquerda,$cota1);
			 $pdf->SetFont('Arial','',8);
			 $pdf->Cell($vetorLargura[1],5,utf8_decode('Nº'),0,0,'C');
			 $pdf->Cell($vetorLargura[2],5,utf8_decode('ESPÉCIE'),'C');
			 $pdf->Cell($vetorLargura[3],5,'CULTIVAR',0,0,'C');
			 $pdf->Cell($vetorLargura[4],5,'DATA E HORA',0,0,'C');
			 $pdf->Cell($vetorLargura[5],5,'EQUIP.',0,0,'C');
			 $pdf->Cell($vetorLargura[6],5,'TEMP.',0,0,'C');
			 $pdf->Cell($vetorLargura[7],5,'HORA',0,0,'C');
			 $pdf->Cell($vetorLargura[8],5,'HORA',0,0,'C');
			 $pdf->Cell($vetorLargura[9],5,'STATUS',0,0,'C');
			 $pdf->Cell($vetorLargura[10],5,'VISTO',0,0,'C');


$cota1+=5;//COTA QUE POSICIONA O INICIO DOS TITULOS DAS COLUNAS

$pdf->SetXY($margemEsquerda,$cota1);
$pdf->Cell($vetorLargura[1],5,'AMOSTRA',0,0,'C');
$pdf->Cell($vetorLargura[2],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[3],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[4],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[5],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[6],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[7],5,'INICIAL',0,0,'C');
$pdf->Cell($vetorLargura[8],5,'FINAL',0,0,'C');
$pdf->Cell($vetorLargura[9],5,' ',0,0,'C');
$pdf->Cell($vetorLargura[10],5,' ',0,0,'C');
			
$objetocalculo=new calculos();
//$cota1+=5;//COTA QUE POSICIONA O INICIO DO corpo  	
	
	
		
		

$genericaPonte=new tabelagenerica();
$genericaPonte->tabela="documentosponte";
$genericaPonte->campos_valores = array(
		"dpo_amostra_vinculada" => NULL,
	);
$genericaPonte->extras_select =" where  dpo_documento_autonumerador=".$idDoc." order by dpo_amostra_vinculada LIMIT 15";
//echo("eeeeexxxxxxxxxxxxxxxxxxxxxxxxxxeeeeeeerro $generica->extras_select <br>");
$genericaPonte->selecionaCampos($genericaPonte);
//echo("4xxxxxxxxxxxxxxidDocumento= $idDoc  contaAmostras =$contaAmostras $vetorDPO[1]<br>");
//vai pegar os dados da amopstra la na classe calculo pois ja tem a id da amostra
 //resultaso sao impressoas a partr da cota 3 car em cima da  linha divisoria muito grossa
 $alturaLinhaResultados=8;//define a largura das linhas de resultados
$contador=1;
$modalidadeArquivada=8;	
if($clienteReduzido=='TS L'):
   $pdf->SetFont('Arial','',10);
else:
   $pdf->SetFont('Arial','',6);
endif;   
$indiceVetorNomesContaminantes=0;//precisa ficar fora do while porque vai criar um vetor juntando os contaminantes


while ($resgenericaPonte = $genericaPonte->retornaDados()):
    $amostraLong=$resgenericaPonte->dpo_amostra_vinculada;
    $vetorAmostraBruto=$objetocalculo->capturaGeralAmostra($amostraLong);//captura TUDO 
	$contaminanteAcumulado="Amostra:" .$vetorAmostraBruto[1];
	$iniciando="SIM";	
    //aqui vai achar o teste de tetrazolio 
	//aqui acha a viabilidade. sE FOR SOJA OU FEIJAO ele pega de uma forma e se na ofr entao subentende que é forrageira
    $viabilidadeFinal='-N-';
	$vigorFinal='-N-';

	
	$cota1+=5;//incrementa linha para colocar na linha seguinte
	$pdf->setXY($margemEsquerda,$cota1);
	$pdf->Cell($vetorLargura[1],5,str_pad($vetorAmostraBruto[1], 5, "0", STR_PAD_LEFT).date("/y",strtotime($vetorAmostraBruto[36])) ,1,0,'C');//amostra
	$pdf->Cell($vetorLargura[2],5,utf8_decode($vetorAmostraBruto[32]),1,0,'C');//especie
	$pdf->Cell($vetorLargura[3],5,utf8_decode($vetorAmostraBruto[31]),1,0,'C');//cultivar
	$pdf->Cell($vetorLargura[4],5,utf8_decode($vetorDadosDocumento[19]),1,0,'C');//inicio

	$pdf->Cell($vetorLargura[5],5,utf8_decode($vetorDadosDocumento[20]),1,0,'C');//termino
	$pdf->Cell($vetorLargura[6],5,utf8_decode($vetorDadosDocumento[21]),1,0,'C');//temp
	$pdf->Cell($vetorLargura[7],5,utf8_decode($vetorDadosDocumento[21]),1,0,'C');//temp
	$pdf->Cell($vetorLargura[8],5,utf8_decode($vetorDadosDocumento[21]),1,0,'C');//temp
	$pdf->Cell($vetorLargura[9],5,' ',1,0,'C');//status
	$pdf->Cell($vetorLargura[10],5,' ',1,0,'C');//visto
endwhile;//FINAL DO ENDWILE QUE ACHA A ID DENTRO DO DOCUMENTOSPONTE
###################################################################
 //coloca  um -O-  para fechar =================
 $cota1+=5;//incrementa linha para colocar na linha seguinte
 //so vai imprimr -o- se for menos de 7 amostras
 if($registros<7):
	 $pdf->setXY($margemEsquerda,$cota1);
	 for($i=1;$i<=10;$i++):  
		$pdf->Cell($vetorLargura[$i],5,'-O-',1,0,'C');//numero de ordem 1,2,3,4,5 
	 endfor;
endif; 
//terminou de imprimir resultados





ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");

		
		
?>
